##############################################################################
#
# ZWebmail
#
#
# * License:
#   ZWebmail is LGPL (http://www.gnu.org/copyleft)
# 
# * ZWebmail is primarily written for Zope:
#   Zope is published under the Zope Public License (ZPL) Version 1.0
#   "This product includes software developed by Digital Creations
#   for use in the Z Object Publishing Environment (http://www.zope.org/)."
# 
#
# Disclaimer
# 
#   THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY
#   EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
#   IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
#   PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL DIGITAL CREATIONS OR ITS
#   CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
#   SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
#   LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
#   USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
#   ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
#   OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
#   OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
#   SUCH DAMAGE.
# 
##############################################################################
"""
Zope Webmail Product
"""

import ZWebmail

def initialize(context):
    """ Zope Webmail product registration """

    context.registerClass(
        ZWebmail.ZWebmail, 
        permission='Add ZWebmail',
        constructors=(ZWebmail.manage_addWebmailForm,
                      ZWebmail.manage_addWebmail),
        icon='www/ZWebmail.gif',
        )
    context.registerBaseClass(ZWebmail.ZWebmail)

    context.registerHelp()
    context.registerHelpTitle('Zope Help')

